Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233484 - CVE-2007-1592 IPv6 oops triggerable by any user
Summary: CVE-2007-1592 IPv6 oops triggerable by any user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=important,source=netdev,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 18:30 UTC by Marcel Holtmann
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0673
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-08 18:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0673 normal SHIPPED_LIVE Important: kernel security update 2007-08-08 18:54:27 UTC

Description Marcel Holtmann 2007-03-22 18:30:58 UTC
We accidently copy the ipv6 flow list to child sockets of listening TCP
sockets, but don't bump the reference count, clone the object, etc.  And
the list linkage of this object is not built such that multiple sockets
can point to it anyways.

Therefore if a listening socket has a flow list attached, when a child
connection closes we'll OOPS or double free the flow list entry.

Any user can trigger this.

Steps to reproduce this behavior:

1) Open listening IPV6 TCP socket
2) Attach a flowlabel with IPV6_FLOWLABEL_MGR socket option,
   freq->flr_action == IPV6_FL_A_GET and appropriate metadata.
3) Connect to that listening socket, and close()

http://marc.info/?l=linux-netdev&m=117406721731891&w=2

Comment 1 Don Howard 2007-07-07 06:36:16 UTC
A patch addressing this issue has been included in kernel-2.4.18-e.65.

Comment 4 Red Hat Bugzilla 2007-08-08 18:54:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0673.html



Note You need to log in before you can comment on or make changes to this bug.